List connector runs
GET
workspaceTokenheader
AuthorizationBearer <vat_<opaque-token>>Expiring, hashed workspace token with explicit scopes.
workspace_id*Workspace IdFormat
uuidcursor?string|nulllimit?LimitRange
1 <= value <= 100Default
50connector_kind?string|nullstatus?string|nullSuccessful Response
application/json- response
has_more?Has MoreDefault
falseitems*array<>next_cursor?string|nullcurl -X GET 'https://api.veriom.ai/v1/workspaces/497f6eca-6276-4993-bfeb-53cbbbba6f08/connector-runs'Example Response
{ "has_more": false, "items": [ { "accepted_count": 0, "attempt": 0, "audit_id": "78c04fa6-cfb4-46a0-9aa5-3681ba4f3897", "checkpoint": {}, "completed_at": "2019-08-24T14:15:22Z", "connector_key": "string", "connector_kind": "string", "correlation_id": "string", "coverage": "string", "created_at": "2019-08-24T14:15:22Z", "cursor_after": "string", "cursor_before": "string", "duplicate_count": 0, "error_category": "authorization", "error_code": "string", "error_detail": "string", "expected_signals": [ "string" ], "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "initiated_by": "9f5ebe27-153d-4963-8417-06d50be356ec", "installation_id": "91166175-c6a9-4caf-88e9-3147ffc9c934", "mcp_ingestion_id": "e483dfbe-1f30-4fa8-8989-0c8f1530c157", "missing_signals": [ "string" ], "observed_signals": [ "string" ], "operation": "string", "rate_limit_reset_at": "2019-08-24T14:15:22Z", "rejected_count": 0, "repository_id": "b349ae61-b973-4c6c-a5e0-89183ba99ff3", "retry_after_seconds": 0, "schema_version": "string", "started_at": "2019-08-24T14:15:22Z", "status": "string", "trigger": "string", "updated_at": "2019-08-24T14:15:22Z", "workspace_id": "0967198e-ec7b-4c6b-b4d3-f71244cadbe9" } ], "next_cursor": "string"}